/*
 * Copyright 2022 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.android.fhir.datacapture

import android.os.Build
import com.google.common.truth.Truth.assertThat
import org.junit.Test
import org.junit.runner.RunWith
import org.robolectric.RobolectricTestRunner
import org.robolectric.annotation.Config

@RunWith(RobolectricTestRunner::class)
@Config(sdk = [Build.VERSION_CODES.P])
class QuestionnaireItemViewHolderTypeTest {
  @Test
  fun size_shouldReturnNumberOfQuestionnaireViewHolderTypes() {
    assertThat(QuestionnaireItemViewHolderType.values().size).isEqualTo(17)
  }

  @Test
  fun fromInt_shouldReturnQuestionnaireViewHolderType() {
    QuestionnaireItemViewHolderType.values().forEach {
      assertThat(QuestionnaireItemViewHolderType.fromInt(it.value)).isEqualTo(it)
    }
  }
}
